POE::Resource::Events(3)

NAME
POE::Resource::Events - internal event manager for POE::Kernel

SYNOPSIS
There is no public API.

DESCRIPTION
POE::Resource::Events is a mix-in class for POE::Kernel. It hides the complexity of managing POE's events from even POE itself. It is used internally by POE::Kernel, so it has no public interface.

SEE ALSO
See "Asynchronous Messages (FIFO Events)" in POE::Kernel for one public events API.

See "Resources" in POE::Kernel for for public information about POE resources.

See POE::Resource for general discussion about resources and the classes that manage them.

BUGS
None known.

AUTHORS & COPYRIGHTS
Please see POE for more information about authors and contributors.